<?php echo $header; ?>

<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>

  <div class="ocl-ui-content">
      
      <?php if (isset($error_license) && !empty($error_license)) { ?><div class="warning"><?php echo $error_license; ?></div><?php } ?>
      <?php if (isset($error) && !empty($error)) { ?><div class="warning"><?php echo $error; ?></div><?php } ?>
      <?php if (isset($warning) && !empty($warning)) { ?><div class="warning"><?php echo $warning; ?></div><?php } ?>
      <?php if (isset($success) && !empty($success)) { ?><div class="success"><?php echo $success; ?></div><?php } ?>
      
      <div class="ocl-ui-main-menu">
        <ul>
        	<?php foreach($main_menu as $key => $value){ ?>
        		<?php if($main_cfg[$key] == 1) { ?>
	                <li<?php if($driver == $key) echo ' class="selected"'; ?>><a href="<?php echo $main_url[$key];?>"><?php echo $value;?></a></li>
	            <?php }?>
        	<?php }?>
        </ul>
      </div>

		<div class="ocl-ui-header"><span class="ocl-ui-module-name"><?php echo $ocl_module_name; ?></span><?php echo $tpl_home_page; ?></div>
      
      <div class="ocl-ui-body-content">
          <div id="tab-editor">
          
          <table class="ocl-ui-form-vertical">
			<tbody>
			<tr>
				<td>
	          	<select id="filter_type" class="span240">
	          		<option value="all"<?php if($filter_type == 'all') { echo ' selected="selected"'; } ?>><?php echo $text_all;?></option>
	          		<option value="custom"<?php if($filter_type == 'custom') { echo ' selected="selected"'; } ?>><?php echo $text_filter_custom;?></option>
	          		<option value="category"<?php if($filter_type == 'category') { echo ' selected="selected"'; } ?>><?php echo $text_filter_category;?></option>
	          		<option value="product"<?php if($filter_type == 'product') { echo ' selected="selected"'; } ?>><?php echo $text_filter_product;?></option>
	          		<option value="manufacturer"<?php if($filter_type == 'manufacturer') { echo ' selected="selected"'; } ?>><?php echo $text_filter_manufacturer;?></option>
	          		<option value="information"<?php if($filter_type == 'information') { echo ' selected="selected"'; } ?>><?php echo $text_filter_information;?></option>
	          	</select>
	          	</td>
	          	<td style="text-align: right">
	          		<a onclick="addUrlAlias();" class="ocl-ui-button ocl-ui-button-orange"><?php  echo $button_add;?></a>
	          		<a onclick="$('#form-generator').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php  echo $button_delete;?></a>
	          		</td>
          	</tr>
          	</tbody>
          	</table>
          	<p></p>
          	
          	<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form_edit_data" name="form_edit_data">
          		<input type="hidden" value="" name="e_action">
          		<input type="hidden" value="" name="e_query">
          		<input type="hidden" value="" name="e_keyword">
          		<input type="hidden" value="" name="e_id">
          	</form>
          	<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-generator">
          		
          		<table class="ocl-ui-table-list">
		          <thead>
		            <tr>
		              <td width="1" style="text-align: center;"><input type="checkbox" onclick="$('input[name*=\'selected\']').attr('checked', this.checked);" /></td>
		              <td>query:</td>
		              <td>keyword:</td>
		              <td>&nbsp;</td>
		              <td>&nbsp;</td>
		            </tr>
		          </thead>
		          <tbody>
		            <?php if ($url_aliases) { ?>
		            <?php foreach ($url_aliases as $url_alias) { ?>
		            <tr>
		            	<td style="text-align: center;">
		            	<?php if ($url_alias['selected']) { ?>
		                <input type="checkbox" name="selected[]" value="<?php echo $url_alias['url_alias_id']; ?>" checked="checked" />
		                <?php } else { ?>
		                <input type="checkbox" name="selected[]" value="<?php echo $url_alias['url_alias_id']; ?>" />
		                <?php } ?>
		                </td>
		              <td style="text-align: center;"><input type="text" name="url_alias_query_<?php echo $url_alias['url_alias_id']; ?>" value="<?php echo $url_alias['query']; ?>" class="span240" /></td>
		              <td style="text-align: center;"><input type="text" name="url_alias_keyword_<?php echo $url_alias['url_alias_id']; ?>" value="<?php echo $url_alias['keyword']; ?>" class="span240" /></td>
		              <td style="text-align: center;"><a onclick="editUrlAlias(<?php echo $url_alias['url_alias_id']; ?>);" class="ocl-ui-button ocl-ui-button-small"><?php  echo $button_save;?></a></td>
		              <td style="text-align: center;"><a onclick="deleteUrlAlias(<?php echo $url_alias['url_alias_id']; ?>);" class="ocl-ui-button ocl-ui-button-small"><?php  echo $button_delete;?></a></td>
		            </tr>
		            <?php } ?>
		            <?php } else { ?>
		            <tr>
		              <td class="center" colspan="5"><p><?php echo $text_no_results; ?></p></td>
		            </tr>
		            <?php } ?>
		          </tbody>
        		</table>
            </form>
          	<div class="pagination"><?php echo $pagination; ?></div>
			<div id="modal-dialog" title="" style="display: none">
          		<div class="ocl-ui-modal-dialog-content">
          			<p>query:<br /><input type="text" id="md_query" value="" class="span100p" /></p>
		   			<p>keyword:<br /><input type="text" id="md_keyword" value="" class="span100p" /></p>
				</div>
          	</div>
          </div>
      </div>

  </div>
	<div id="ocl_copyright"><?php echo $ocl_copyright;?></div>
</div>

<script type="text/javascript"><!--
function addUrlAlias() {
	$( "#modal-dialog" ).dialog({
		resizable: false,
		height: 240,
		width: 350,
		modal: true,
		dialogClass: "ocl-ui-modal-dialog-content",
		buttons: {
			"<?php echo $button_save;?>": function() {
				if($('#md_query').val() != '' && $('#md_keyword').val() != '' ) {
					$('input[name=e_action]').val('New');
					$('input[name=e_query]').val( $('#md_query').val() );
					$('input[name=e_keyword]').val( $('#md_keyword').val() );
					$('#form_edit_data').submit();
				}
			},
			"<?php echo $button_cancel;?>": function() {
				$(this).dialog( "close" );
			}
		}
	});
}

$( "#filter_type" ).change(function() {
	var url = '<?php echo $filter_action;?>';
	url = url.replace( /\&amp;/g, '&' );
	$(location).attr("href", url + '&filter_type=' + $(this).val());
});

function editUrlAlias(id) {
	$('input[name=e_action]').val('Edit');
	$('input[name=e_id]').val(id);
	$('input[name=e_query]').val( $('input[name=url_alias_query_' + id + ']').val() );
	$('input[name=e_keyword]').val( $('input[name=url_alias_keyword_' + id + ']').val() );
	$('#form_edit_data').submit();
}
function deleteUrlAlias(id) {
	$('input[name=e_action]').val('Delete');
	$('input[name=e_id]').val(id);
	$('#form_edit_data').submit();
}
$(document).ready(function() {
	// Tooltype functions
    function simple_tooltip(target_items, name){
        $(target_items).each(function(i){
            $("body").append("<div class='"+name+"' id='"+name+i+"'><p>"+$(this).attr('title')+"</p></div>");
            var my_tooltip = $("#"+name+i);

            $(this).removeAttr("title").mouseover(function(){
                my_tooltip.css({opacity:1, display:"none"}).fadeIn(200);
            }).mousemove(function(kmouse){
                my_tooltip.css({left:kmouse.pageX+15, top:kmouse.pageY+15});
            }).mouseout(function(){my_tooltip.fadeOut(200);});
        });
    }

    simple_tooltip(".helper","ocl-ui-tooltip");
});
//--></script>
<?php echo $footer; ?>