<?php echo $header; ?>

<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>
	<div class="ocl-ui-content">
		<div id="urt_progress_bar" style="margin-bottom: 10px;">
			<div id="progress-bar" style="display: none"><span style="position:absolute; margin-left:10px; margin-top:4px; left:47%;"></span></div>
		</div>
      
      <?php if (isset($error_license) && !empty($error_license)) { ?><div class="warning"><?php echo $error_license; ?></div><?php } ?>
      <?php if (isset($error) && !empty($error)) { ?><div class="warning"><?php echo $error; ?></div><?php } ?>
      <?php if (isset($warning) && !empty($warning)) { ?><div class="warning"><?php echo $warning; ?></div><?php } ?>
      <?php if (isset($success) && !empty($success)) { ?><div class="success"><?php echo $success; ?></div><?php } ?>
      
      <div class="ocl-ui-main-menu">
        <ul>
        	<?php foreach($main_menu as $key => $value){ ?>
        		<?php if($main_cfg[$key] == 1) { ?>
	                <li<?php if($driver == $key) echo ' class="selected"'; ?>><a href="<?php echo $main_url[$key];?>"><?php echo $value;?></a></li>
	            <?php }?>
        	<?php }?>
        </ul>
      </div>

		<div class="ocl-ui-header"><span class="ocl-ui-module-name"><?php echo $ocl_module_name; ?></span><?php echo $tpl_home_page; ?></div>
      
      <div class="ocl-ui-body-content">
          <div id="tab-generator">
          	
          	<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-generator">
          		<input type="hidden" value="" name="key" id="key">
          		<table class="ocl-ui-form ocl-ui-form-vertical">
                    <tr>
                        <td><?php echo $entry_source_language;?></td>
                        <td>
                            <select class="span160" name="source_language_code" id="source_language_code">
                                <?php foreach ($languages as $language) { ?>
									<option value="<?php echo $language['code'];?>" <?php if($language['code'] == $source_language_code) echo ' selected="selected"';?>><?php echo $language['name'];?></option>
                                <?php } ?>
                            </select>
                        </td>
                    </tr>
               </table>
               <div class="ocl-ui-wrap">
               <table class="ocl-ui-form ocl-ui-form-vertical">
                	<tr>
                        <td><?php echo $entry_categories;?></td>
                        <td>
                            <label for="categories_template"><?php echo $entry_template;?> </label><input type="text" id="category_template" name="url_rewriting_categories_template" value="<?php echo $categories_template;?>" class="span500" />
                            <span class="ocl-text-help"><?php echo $text_available_category_tags;?></span>
                            <div><input type="checkbox" name="clear_category_alias" id="clear_category_alias" /><label for="clear_category_alias"><?php echo $text_warning_clear;?></label></div>
                            <div class="ocl-ui-buttons"><a onclick="submitFormGenerator('category');" class="ocl-ui-button ocl-ui-button-orange ocl-ui-button-small"><?php echo $button_exec;?></a></div>
                        </td>
                    </tr>
				</table>
				</div>
				
				<div class="ocl-ui-wrap">
				<table class="ocl-ui-form ocl-ui-form-vertical">
                	<tr>
                        <td><?php echo $entry_products;?></td>
                        <td>
                            <label for="products_template"><?php echo $entry_template;?> </label><input type="text" id="product_template" name="url_rewriting_products_template" value="<?php echo $products_template;?>" class="span500" /><br/>
                            <span class="ocl-text-help"><?php echo $text_available_product_tags;?></span>
                            <div><input type="checkbox" name="clear_product_alias" id="clear_product_alias" /><label for="clear_product_alias"><?php echo $text_warning_clear;?></label></div>
                            <div class="ocl-ui-buttons"><a onclick="submitFormGenerator('product');" class="ocl-ui-button ocl-ui-button-orange ocl-ui-button-small"><?php echo $button_exec;?></a></div>
                        </td>
                   </tr>
				</table>
				</div>
				<div class="ocl-ui-wrap">
				<table class="ocl-ui-form ocl-ui-form-vertical">
                	<tr>
                        <td><?php echo $entry_manufacturers;?></td>
                        <td>
                            <label for="manufacturers_template"><?php echo $entry_template;?> </label><input type="text" id="manufacturer_template" name="url_rewriting_manufacturers_template" value="<?php echo $manufacturers_template;?>" class="span500" /><br/>

                            <span class="ocl-text-help"><?php echo $text_available_manufacturer_tags;?></span>
                            <div><input type="checkbox" name="clear_manufacturer_alias" id="clear_manufacturer_alias" /><label for="clear_manufacturer_alias"><?php echo $text_warning_clear;?></label></div>
                            <div class="ocl-ui-buttons"><a onclick="submitFormGenerator('manufacturer');" class="ocl-ui-button ocl-ui-button-orange ocl-ui-button-small"><?php echo $button_exec;?></a></div>
                        </td>
                    </tr>
				</table>
				</div>
				<div class="ocl-ui-wrap">
				<table class="ocl-ui-form ocl-ui-form-vertical">
          			<tr>
                        <td><?php echo $entry_information_page;?></td>
                        <td>
                            <label for="information_template"><?php echo $entry_template;?> </label><input type="text" id="information_template" name="url_rewriting_information_template" value="<?php echo $information_template;?>" class="span500" /><br/>

                            <span class="ocl-text-help"><?php echo $text_available_information_tags;?></span>
                            <div><input type="checkbox" name="clear_information_alias" id="clear_information_alias" /><label for="clear_information_alias"><?php echo $text_warning_clear;?></label></div>
                            <div class="ocl-ui-buttons"><a onclick="submitFormGenerator('information');" class="ocl-ui-button ocl-ui-button-orange ocl-ui-button-small"><?php echo $button_exec;?></a></div>
                        </td>
                    </tr>
          		</table>
          		</div>
            </form>
          	
          </div>
      </div>

  </div>
	<div id="ocl_copyright"><?php echo $ocl_copyright;?></div>
</div>

<script type="text/javascript">
$(document).ready(function() {
    // Tooltype functions
    function simple_tooltip(target_items, name){
        $(target_items).each(function(i){
            $("body").append("<div class='"+name+"' id='"+name+i+"'><p>"+$(this).attr('title')+"</p></div>");
            var my_tooltip = $("#"+name+i);

            $(this).removeAttr("title").mouseover(function(){
                my_tooltip.css({opacity:1, display:"none"}).fadeIn(200);
            }).mousemove(function(kmouse){
                my_tooltip.css({left:kmouse.pageX+15, top:kmouse.pageY+15});
            }).mouseout(function(){my_tooltip.fadeOut(200);});
        });
    }

    simple_tooltip(".helper","ocl-ui-tooltip");
});
function submitFormGenerator(d) {
		$('.alert').remove();
        $('#progress-bar').hide();
        $('#progress-bar').progressbar({value:1});
		$('#progress-bar span').text('1%');
        $('#progress-bar').show();
		var p = 0,
        l = $('#source_language_code').val(),
        t = $('#' + d + '_template').val(), u = 0;
        if($('#clear_' + d + '_alias').prop('checked')) {
                u = 1;
        };
        _processing(p, d, l, t, u);
		return false;
}
function _processing(p, d = false, l = false, t = false, u = false){
        var url = '<?php echo $ajax; ?>';
        url = url.replace( /\&amp;/g, '&' );
        $.ajax({
                type:'POST',
                url: url,
                data: {
                        'progress': p,
                        'alias_type': d,
                        'language_id': l,
                        'template': t,
                        'update': u
                },
                dataType:'json',
                success: function(data) {
                        if(data.status < 0 ) {
                                $('.alert').remove();
                                $('#progress-bar').hide();
                                $('#urt_progress_bar').after('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + data.message + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                                return false;
                        }
                        if(data.status == 100) {
                                $('.alert').remove();
								$('#progress-bar').progressbar({value: 100});
                                $('#urt_progress_bar').after('<div class="alert alert-info">' + data.message + '</div>');
								$('#progress-bar span').text('100%');
                        } else {
                                _processing(data.status);
								$('#progress-bar').progressbar({value: data.status});
                                $('.alert').remove();
                                $('#urt_progress_bar').after('<div class="alert alert-info">' + data.message + '</div>');
                                $('#progress-bar span').text(data.status +'%');
                        }
                }
        });
}
$(document).ready(function() {
    $('.nav-tabs li').click(function(e) {
        e.preventDefault();
        $('.alert').remove();
        $('#progress-bar').hide();
    });
});
</script>
<?php echo $footer; ?>